Summary: Tracks runtime library calls from dynamically linked executables.
Name: ltrace
Version: 0.3.10
Release: 3mdk
Source: ftp://ftp.debian.org/debian/dists/unstable/main/source/utils/ltrace_%{version}.tar.bz2
#Patch: %{name}-%{version}.mdk.patch.bz2
Copyright: GPL
Group: Development/Other
ExclusiveArch: i386 i486 i586
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description
Ltrace is a debugging program which runs a specified command until the
command exits.  While the command is executing, ltrace intercepts and
records both the dynamic library calls called by the executed process and
the signals received by the executed process.  Ltrace can also intercept
and print system calls executed by the process.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%prep
%setup -q

#%patch -p1

%build
#./configure --prefix=%{prefix}

%configure
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
make DESTDIR=$RPM_BUILD_ROOT install
cp $RPM_BUILD_ROOT/usr/share/man/man1/* $RPM_BUILD_ROOT/usr/man/man1
rm -rf $RPM_BUILD_ROOT/%{prefix}/doc


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO BUGS sysdeps/README sysdeps/linux-gnu/README
%{prefix}/bin/ltrace
%{prefix}/man/man1/ltrace.1.bz2
%config /etc/ltrace.conf

%changelog
* Wed Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.3.10-3mdk
- added more docs

* Tue Apr 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.3.10-2mdk
- Updated group

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.3.10-1mdk
- updated BuildRoot
- version 0.3.10
- removed necessity for patch simply to fixup manpage location

* Wed Dec  1 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- update to 0.3.8
- use of _tmppath and prefix
- patch to get man page in /usr/man

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.3.6.

* Mon Sep 21 1998 Preston Brown <pbrown@redhat.com>
- upgraded to 0.3.4
